GROUPMOD(8)

NOM
groupmod - Modifier la définition d'un groupe du système

SYNOPSIS

groupmod [options] GROUPE

DESCRIPTION

The groupmod command modifies the definition of the specified GROUP by modifying the appropriate entry in the group database.

OPTIONS

Les options disponibles pour la commande groupmod sont :

-g, --gid GID
    The group ID of the given GROUP will be changed to GID. The value of GID must be a non-negative decimal integer. This value must be unique, unless the -o option is used. Values between 0 and 999 are typically reserved for system groups. Any files that have the old group ID and must continue to belong to GROUP, must have their group ID changed manually.

-h, --help
    Afficher un message d'aide et quitter.

-n, --new-name NOUVEAU_NOM_GROUPE
    Le nom du groupe sera modifié de GROUPE vers NOUVEAU_NOM_GROUPE.

-o, --non-unique
    When used with the -g option, allow to change the group GID to a non-unique value.

-p, --password MOT_DE_PASSE
    The encrypted password, as returned by crypt(3). The default is to disable the password.

CONFIGURATION

The following configuration variables in /etc/login.defs change the behavior of this tool:

MAX_MEMBERS_PER_GROUP (number)
    Maximum members per group entry. When the maximum is reached, a new group entry (line) is started in /etc/group (with the same name, same password, and same GID).

    The default value is 0, meaning that there are no limits in the number of members in a group.

    This feature (split group) permits to limit the length of lines in the group file. This is useful to make sure that lines for NIS groups are not larger than 1024 characters.

    If you need to enforce such limit, you can use 25.

    Note: split groups may not be supported by all tools (even in the Shadow toolsuite. You should not use this variable unless you really need it.

FICHIERS

/etc/group
    Informations sur les groupes.

/etc/gshadow
    Informations sécurisées sur les groupes.

VALEURS DE RETOUR

La commande groupmod retourne les valeurs suivantes en quittant :

0
    succès

2
    erreur de syntaxe

3
    paramètre non valable pour l'option

4
    le groupe spécifié n'existe pas

6
    le groupe spécifié n'existe pas

9
    nom de groupe déjà utilisé

10
    impossible de mettre à jour le fichier des groupes

VOIR AUSSI

chfn(1), chsh(1), passwd(1), gpasswd(8), groupadd(8), groupdel(8), useradd(8), userdel(8), usermod(8).